import { __extends } from "tslib";
import { AsyncCompletedEventArgs } from "./igc-async-completed-event-args";
var UploadDataCompletedEventArgs = /** @class */ (function (_super) {
    __extends(UploadDataCompletedEventArgs, _super);
    function UploadDataCompletedEventArgs() {
        return _super.call(this) || this;
    }
    Object.defineProperty(UploadDataCompletedEventArgs.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UploadDataCompletedEventArgs.prototype, "result", {
        get: function () {
            return this.i.result;
        },
        enumerable: true,
        configurable: true
    });
    return UploadDataCompletedEventArgs;
}(AsyncCompletedEventArgs));
export { UploadDataCompletedEventArgs };
